This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463993 - (CVE-2017-9782) CVE-2017-9782 jasper: cdef.ents[] heap-based buffer over-read in jp2_decode()
CVE-2017-9782 jasper: cdef.ents[] heap-based buffer over-read in jp2_decode()
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170614,reported=2...
: Security
Depends On: 1434464 1434465 1434467 1463997 1463998 1463999
Blocks: 1449402
  Show dependency treegraph
 
Reported: 2017-06-22 04:54 EDT by Andrej Nemec
Modified: 2017-09-12 11:34 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-22 04:54:37 EDT
I was fount that JasPer allows attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted image, related to the jp2_decode function in libjasper/jp2/jp2_dec.c.

Upstream issue:

https://github.com/mdadams/jasper/issues/140
Comment 1 Andrej Nemec 2017-06-22 04:59:29 EDT
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1463998]


Created mingw-jasper tracking bugs for this issue:

Affects: epel-7 [bug 1463997]
Affects: fedora-all [bug 1463999]
Comment 3 Tomas Hoger 2017-07-04 09:25:23 EDT
Further issue analysis details noted in the upstream bug report:

https://github.com/mdadams/jasper/issues/140#issuecomment-312874384

Note You need to log in before you can comment on or make changes to this bug.